Add a workaround in the test suite for a cowdancer limitation causing .ilist

corruption and use ulimit instead of limit.
This commit is contained in:
Sam Hocevar
2009-12-14 02:55:25 +00:00
committed by sam
parent 4c195f17a1
commit cae540ebf6
5 changed files with 11 additions and 11 deletions
+3 -3
View File
@@ -2,7 +2,7 @@
. "$(dirname "$0")/functions.inc"
limit coredumpsize 0
ulimit -c 0
PROGRAM="$DIR/bug-div0"
if [ ! -f "$PROGRAM" ]; then
@@ -20,14 +20,14 @@ else
fi
new_test "zzuf -qi -r0 bug-div0 < /file-00"
if ! "$ZZUF" -r0 -qi "$PROGRAM" < "$DIR/file-00"; then
if ! $ZZUF -r0 -qi "$PROGRAM" < "$DIR/file-00"; then
fail_test " unexpected exit status $?"
else
pass_test " OK"
fi
new_test "zzuf -qi bug-div0 < file-00"
if "$ZZUF" -qi "$PROGRAM" < "$DIR/file-00"; then
if $ZZUF -qi "$PROGRAM" < "$DIR/file-00"; then
fail_test " unexpected exit status $?"
else
pass_test " OK"
+3 -3
View File
@@ -2,7 +2,7 @@
. "$(dirname "$0")/functions.inc"
limit coredumpsize 0
ulimit -c 0
PROGRAM="$DIR/bug-memory"
if [ ! -f "$PROGRAM" ]; then
@@ -20,14 +20,14 @@ else
fi
new_test "zzuf -qi -r0 bug-memory < /file-00"
if ! "$ZZUF" -r0 -qi "$PROGRAM" < "$DIR/file-00"; then
if ! $ZZUF -r0 -qi "$PROGRAM" < "$DIR/file-00"; then
fail_test " unexpected exit status $?"
else
pass_test " OK"
fi
new_test "zzuf -qi bug-memory < file-00"
if "$ZZUF" -M 256 -qi "$PROGRAM" < "$DIR/file-00"; then
if $ZZUF -M 256 -qi "$PROGRAM" < "$DIR/file-00"; then
fail_test " unexpected exit status $?"
else
pass_test " OK"
+3 -3
View File
@@ -2,7 +2,7 @@
. "$(dirname "$0")/functions.inc"
limit coredumpsize 0
ulimit -c 0
PROGRAM="$DIR/bug-overflow"
if [ ! -f "$PROGRAM" ]; then
@@ -20,14 +20,14 @@ else
fi
new_test "zzuf -qi -r0 bug-overflow < /file-00"
if ! "$ZZUF" -r0 -qi "$PROGRAM" < "$DIR/file-00"; then
if ! $ZZUF -r0 -qi "$PROGRAM" < "$DIR/file-00"; then
fail_test " unexpected exit status $?"
else
pass_test " OK"
fi
new_test "zzuf -qi bug-overflow < file-00"
if "$ZZUF" -qi "$PROGRAM" < "$DIR/file-00"; then
if $ZZUF -qi "$PROGRAM" < "$DIR/file-00"; then
fail_test " unexpected exit status $?"
else
pass_test " OK"
+1 -1
View File
@@ -13,7 +13,7 @@ checkflip()
rtot=0
new_test "$mib MiB of zeroes, ratio $r"
for x in 0 1 2 3 4; do
ret=`dd if=/dev/zero bs=1048576 count=$mib 2>/dev/null | "$ZZUF" -s $s2 -r $r | "$ZZERO"`
ret=`dd if=/dev/zero bs=1048576 count=$mib 2>/dev/null | $ZZUF -s $s2 -r $r | "$ZZERO"`
if [ "$rmax" = -1 -o "$ret" -gt "$rmax" ]; then rmax=$ret; fi
if [ "$rmin" = -1 -o "$ret" -lt "$rmin" ]; then rmin=$ret; fi
rtot=`expr $rtot + $ret || true`
+1 -1
View File
@@ -2,7 +2,7 @@
# . "$(dirname "$0")/functions.inc"
DIR="$(dirname "$0")"
ZZUF="$DIR/../src/zzuf"
ZZUF="$DIR/../src/zzuf -E '[.]ilist$'"
ZZCAT="$DIR/zzcat"
if [ ! -f "$ZZCAT" ]; then